Nextcloud installation failed

Hi all,
I installed dietpi on a minipc using the UEFI x86_64 image and everything went well. When I try to install Nextcloud, however, it systematically goes into error and crashes, as shown in the screenshot.


I tried several times to redo a clean installation, installing only Nextcloud as the first software, and the problem reoccurs the same.

Even if after the error I try to restart and try again, the problem persists.


How can I fix it? Thank you.


Sorry, I do not understand why it makes me mess with attachments :frowning:

Jep known issue, resolved with v6.18. To resolve now, please do:

sed -i "\|cp '/var/www/nextcloud/config/config.sample.php'|d" /DietPi/dietpi/dietpi-software
rm /var/www/nextcloud/config/config.php
rm /var/www/nextcloud/occ
dietpi-software install 114

About attachments:
Known issue with phpBB v3.2.2, resolved with phpBB 3.2.3, which we will install soon on server, I think after next DietPi release :wink:.

Thanks for your precious help!
With the last DietPi, Nextcloud have successfully installed.
Unfortunately there is a new problem: trying dietpi-letsencrypt, after configuration I start but “The requested apache plugin does not appear to be installed” and everything ends immediately.

[  OK  ] DietPi-LetsEncrypt | Apache2 webserver detected
[  OK  ] DietPi-LetsEncrypt | Desired setting in /etc/apache2/sites-available/000-default.conf was already set: ServerName xxxxxxx.org                                                                 
[  OK  ] DietPi-LetsEncrypt | systemctl restart apache2
Saving debug log to /var/log/letsencrypt/letsencrypt.log
The requested apache plugin does not appear to be installed
[FAILED] CertBot failed with error code (1), please check it's terminal output.
Aborting...

Can I do anything to fix it?

Thanks for the report. Can you verify the mod-php module is installed:

dpkg -l | grep 'libapache2-mod-php'

Will test it here myself.

EDIT:
Verified, current certbot does not detect the Apache mod-php module, even that it is installed and working well otherwise.
Reboot: Does not solve.

We need to do some research about this. Also I am not 100% if the mod-php module is meant or the certbot internal Apache authentication and config/install module. Perhaps they divided the packages or something. Need to work now but will investigate later.

Forwarded issue to GitHub: https://github.com/Fourdee/DietPi/issues/2295

Ah wait, I think during my test, I installed certbot first, apache afterwards. Then the python-certbot-apache package is not installed.

Was this the the case on your install order as well?

Could you try:
apt-get -y install python-certbot-apache

And then rerun dietpi-letsencrypt.

I installed certbot and apache at the same time from dietpi-software during the first start (at the first start when the automatic installation window is proposed).

It works!!! I think it will be necessary to correct it in the next build :stuck_out_tongue:
This development team is truly exceptional!